For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet a list of all projects.
      • POSTCreate project
      • POSTValidate project ID
      • PUTUpdate project
      • DELDelete project
      • PUTUpdate project enterprise settings
      • POSTArchive project
      • POSTRevive project
      • GETGet users and groups in project
      • POSTConfigure project access
      • PUTSet users and groups to roles in the current project
      • GETGet project-role mappings
      • PUTSets roles for user
      • DELRemove project access for a user
      • PUTSets roles for group
      • DELRemove project access for a group
      • GET[BETA] List action sets.
      • POST[BETA] Create an action set.
      • PUT[BETA] Update an action set.
      • DEL[BETA] Delete an action set.
      • POST[BETA] Enables an action set.
      • POST[BETA] Disables an action set.
      • GET[BETA] Get action events for a specific action set.
      • GET[BETA] Configuration for the actions UI.
      • GETGet an overview of a project.
      • GETGet an overview project dora metrics.
      • GETGet a list of all applications for a project.
      • GETGet a list of all flag creators for a project.
      • GETGet outdated project SDKs
      • POSTAdd an environment to a project.
      • DELRemove an environment from a project.
      • POSTSet environment-default strategy
      • GETGet a health report for a project.
      • GETGet api tokens for project.
      • POSTCreate a project API token.
      • DELDelete a project API token.
      • GETGet an overview of a project insights.
      • GET[BETA] Get project status
      • GET[BETA] Get personal dashboard
      • GET[BETA] Get personal project details

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIProjects

Get an overview of a project insights.

Deprecated
||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/projects/:projectId/insights
GET
/api/admin/projects/:projectId/insights
$curl https://app.unleash-instance.example.com/api/admin/projects/projectId/insights \
> -H "Authorization: <apiKey>"
1{
2 "stats": {
3 "avgTimeToProdCurrentWindow": 10,
4 "createdCurrentWindow": 15,
5 "createdPastWindow": 15,
6 "archivedCurrentWindow": 5,
7 "archivedPastWindow": 5,
8 "projectActivityCurrentWindow": 100,
9 "projectActivityPastWindow": 100,
10 "projectMembersAddedCurrentWindow": 1
11 },
12 "technicalDebt": {
13 "rating": 25,
14 "activeCount": 12,
15 "potentiallyStaleCount": 5,
16 "staleCount": 10
17 },
18 "leadTime": {
19 "features": [
20 {
21 "name": "string",
22 "timeToProduction": 1.1
23 }
24 ],
25 "projectAverage": 1.1
26 },
27 "featureTypeCounts": [
28 {
29 "type": "kill-switch",
30 "count": 1
31 }
32 ],
33 "members": {
34 "currentMembers": 10,
35 "change": 10
36 },
37 "health": {
38 "rating": 95,
39 "activeCount": 12,
40 "potentiallyStaleCount": 5,
41 "staleCount": 10
42 }
43}
This endpoint returns insights into the specified projects stats, health, lead time for changes, feature types used, members and change requests.
Was this page helpful?
Previous

[BETA] Get project status

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired

Response

projectInsightsSchema
statsobject
Project statistics
technicalDebtobject
Summary of the projects technical debt
leadTimeobject

Lead time (DORA) metrics

featureTypeCountslist of objects
The number of features of each type
membersobject

Active/inactive users summary

healthobjectDeprecated

Use technicalDebt instead. Summary of the project health

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error